> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all locations

> Get all locations



## OpenAPI

````yaml get /locations
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /locations:
    get:
      tags:
        - Locations
      summary: Get all locations
      description: Get all locations
      operationId: getLocations
      parameters:
        - name: organization_id
          in: query
          description: Filter the events by organization id.
          required: false
          schema:
            type: string
        - name: lat
          in: query
          description: >-
            Filter by zone radius. Latitude of the center radius. This field is
            required if lng or radius are pass.
          required: false
          schema:
            type: number
        - name: lng
          in: query
          description: >-
            Filter by zone radius. Longitude of the center radius. This field is
            required if lat or radius are pass
          required: false
          schema:
            type: number
        - name: radius
          in: query
          description: >-
            Filter by zone radius. Radius of the zone to search in kilometers
            (Max 500). This field is required if lng or lat are pass
          required: false
          schema:
            default: '5'
            type: number
        - name: limit
          in: query
          description: Limit the number of events returned.
          required: false
          schema:
            type: integer
            format: int32
            default: '50'
        - name: offset
          in: query
          description: Offset the events returned.
          required: false
          schema:
            type: integer
            format: int32
            default: '0'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Location'
                  success:
                    type: boolean
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - ApiKey: []
components:
  schemas:
    Location:
      type: object
      description: >-
        Complete information of an specific location. Also contains timezone
        information.
      properties:
        unic_id:
          type: string
          description: Unique identifier of the location inside an organization.
          example: orgAbcdefghi1234567890-locAbcdefghi1234567890
        location_id:
          type: string
          description: Unique identifier of the location.
          example: 5e4f4b1b1f6b4b001f6b4b001
        organization_id:
          type: string
          description: Unique identifier of the organization.
          example: 5e4f4b1b1f6b4b001f6b4b001
        name:
          type: string
          description: Location's name in the organization.
          example: Valencia
        address:
          type: string
          description: Location's addresss.
          example: Carrer de Salamanca
        number:
          type: string
          description: Number of the address.
          example: '43'
        city:
          type: string
          description: Location's city.
          example: Valencia
        country:
          type: string
          description: Location's country.
          example: Spain
        full_address:
          type: string
          description: Full address of the location.
          example: Carrer de Salamanca, 43, Valencia, Spain
        latitude:
          type: number
          format: number
          description: Location's latitude.
          example: 39.4651339
        longitude:
          type: number
          format: number
          description: Location's longitude.
          example: -0.3658872
        timezone:
          type: string
          description: Location's timezone.
          example: Europe/Madrid
      required:
        - unic_id
        - location_id
        - organization_id
        - name
        - address
        - number
        - city
        - country
        - full_address
        - latitude
        - longitude
        - timezone
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````